org.eclipse.cdt.core.model

## Interface ISourceEntry

All Superinterfaces:
  IPathEntry

    public interface ISourceEntry
    extends IPathEntry

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.model.IPathEntry

`CDT_CONTAINER, CDT_INCLUDE, CDT_INCLUDE_FILE, CDT_LIBRARY, CDT_MACRO, CDT_MACRO_FILE, CDT_OUTPUT, CDT_PROJECT, CDT_SOURCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`char[][]` `fullExclusionPatternChars()` Returns a char based representation of the exclusions patterns full path.
`org.eclipse.core.runtime.IPath[]` `getExclusionPatterns()` Returns an array of inclusion paths affecting the source folder when looking for files recursively.

### Methods inherited from interface org.eclipse.cdt.core.model.IPathEntry

`getEntryKind, getPath, isExported`

### Method Detail

#### getExclusionPatterns

    org.eclipse.core.runtime.IPath[] getExclusionPatterns()

Returns an array of inclusion paths affecting the source folder when looking for files recursively.

Returns:
  IPath[]

#### fullExclusionPatternChars

    char[][] fullExclusionPatternChars()

Returns a char based representation of the exclusions patterns full path.